import request from '@/utils/request'

// 查询芳烃培训内容列表
export function listFtContent(query) {
  return request({
    url: '/bccnew/ftContent/list',
    method: 'get',
    params: query
  })
}

// 查询芳烃培训内容详细
export function getFtContent(id) {
  return request({
    url: '/bccnew/ftContent/' + id,
    method: 'get'
  })
}

// 新增芳烃培训内容
export function addFtContent(data) {
  return request({
    url: '/bccnew/ftContent',
    method: 'post',
    data: data
  })
}

// 修改芳烃培训内容
export function updateFtContent(data) {
  return request({
    url: '/bccnew/ftContent',
    method: 'put',
    data: data
  })
}

// 删除芳烃培训内容
export function delFtContent(id) {
  return request({
    url: '/bccnew/ftContent/' + id,
    method: 'delete'
  })
}

// 导出芳烃培训内容
export function exportFtContent(query) {
  return request({
    url: '/bccnew/ftContent/export',
    method: 'get',
    params: query
  })
}